declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    readonly value: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<string[]>, unknown, unknown, () => any[], boolean>;
    readonly options: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<import("./checkable-tag").CheckableTagItem[]>, unknown, unknown, () => any[], boolean>;
    readonly fieldNames: import("ll-plus/es/utils").EpPropFinalized<ObjectConstructor, unknown, unknown, () => {
        label: string;
        value: string;
    }, boolean>;
    readonly enableAdd: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
    readonly maxChecked: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 0, boolean>;
    readonly addAutoSelect: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
    readonly placeholder: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "请输入", boolean>;
    readonly disabled: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly deleteRule: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, "all" | "none" | "exceptFirstN", unknown, "none", boolean>;
    readonly exceptCount: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 0, boolean>;
    readonly size: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, "small" | "large" | "middle", unknown, "small", boolean>;
    readonly addTagText: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "新增", boolean>;
    readonly inputWidth: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 120, boolean>;
    readonly tagMaxWidth: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 0, boolean>;
    readonly emptyText: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "暂无标签", boolean>;
    readonly tagGap: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 8, boolean>;
    readonly maxAddableTags: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 0, boolean>;
    readonly disabledAddTag: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly disabledCloseTag: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly selectionMode: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, "multiple" | "single", unknown, "multiple", boolean>;
}>, {
    props: import("@vue/shared").LooseRequired<Readonly<import("vue").ExtractPropTypes<{
        readonly value: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<string[]>, unknown, unknown, () => any[], boolean>;
        readonly options: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<import("./checkable-tag").CheckableTagItem[]>, unknown, unknown, () => any[], boolean>;
        readonly fieldNames: import("ll-plus/es/utils").EpPropFinalized<ObjectConstructor, unknown, unknown, () => {
            label: string;
            value: string;
        }, boolean>;
        readonly enableAdd: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
        readonly maxChecked: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 0, boolean>;
        readonly addAutoSelect: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
        readonly placeholder: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "请输入", boolean>;
        readonly disabled: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
        readonly deleteRule: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, "all" | "none" | "exceptFirstN", unknown, "none", boolean>;
        readonly exceptCount: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 0, boolean>;
        readonly size: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, "small" | "large" | "middle", unknown, "small", boolean>;
        readonly addTagText: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "新增", boolean>;
        readonly inputWidth: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 120, boolean>;
        readonly tagMaxWidth: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 0, boolean>;
        readonly emptyText: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "暂无标签", boolean>;
        readonly tagGap: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 8, boolean>;
        readonly maxAddableTags: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 0, boolean>;
        readonly disabledAddTag: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
        readonly disabledCloseTag: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
        readonly selectionMode: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, "multiple" | "single", unknown, "multiple", boolean>;
    }>> & Readonly<{
        onChange?: (...args: any[]) => any;
        "onUpdate:value"?: (...args: any[]) => any;
    }> & {}>;
    emits: (event: "change" | "update:value", ...args: any[]) => void;
    bem: {
        b: (blockSuffix?: string) => string;
        e: (element?: string) => string;
        m: (modifier?: string) => string;
        be: (blockSuffix?: string, element?: string) => string;
        em: (element: string, modifier: string) => string;
        bm: (blockSuffix: string, modifier: string) => string;
        bem: (blockSuffix: string, element: string, modifier: string) => string;
        is: (name?: string) => string;
    };
    inputRef: import("vue").Ref<any, any>;
    inputValue: import("vue").Ref<string, string>;
    inputVisible: import("vue").Ref<boolean, boolean>;
    newTags: import("vue").Ref<string[], string[]>;
    newValue: import("vue").WritableComputedRef<string[], string[]>;
    isDisabledAddTag: import("vue").ComputedRef<boolean>;
    showCloseIcon: import("vue").ComputedRef<(idx: number) => boolean>;
    handleClose: (tag: string) => void;
    handleCheck: (tag: string, checked: boolean) => void;
    showInput: () => void;
    handleInputConfirm: () => void;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("change" | "update:value")[], "change" | "update:value", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    readonly value: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<string[]>, unknown, unknown, () => any[], boolean>;
    readonly options: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<import("./checkable-tag").CheckableTagItem[]>, unknown, unknown, () => any[], boolean>;
    readonly fieldNames: import("ll-plus/es/utils").EpPropFinalized<ObjectConstructor, unknown, unknown, () => {
        label: string;
        value: string;
    }, boolean>;
    readonly enableAdd: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
    readonly maxChecked: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 0, boolean>;
    readonly addAutoSelect: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
    readonly placeholder: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "请输入", boolean>;
    readonly disabled: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly deleteRule: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, "all" | "none" | "exceptFirstN", unknown, "none", boolean>;
    readonly exceptCount: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 0, boolean>;
    readonly size: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, "small" | "large" | "middle", unknown, "small", boolean>;
    readonly addTagText: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "新增", boolean>;
    readonly inputWidth: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 120, boolean>;
    readonly tagMaxWidth: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 0, boolean>;
    readonly emptyText: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "暂无标签", boolean>;
    readonly tagGap: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 8, boolean>;
    readonly maxAddableTags: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 0, boolean>;
    readonly disabledAddTag: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly disabledCloseTag: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly selectionMode: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, "multiple" | "single", unknown, "multiple", boolean>;
}>> & Readonly<{
    onChange?: (...args: any[]) => any;
    "onUpdate:value"?: (...args: any[]) => any;
}>, {
    readonly size: import("ll-plus/es/utils").EpPropMergeType<StringConstructor, "small" | "large" | "middle", unknown>;
    readonly value: string[];
    readonly disabled: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    readonly options: import("./checkable-tag").CheckableTagItem[];
    readonly placeholder: string;
    readonly fieldNames: Record<string, any>;
    readonly enableAdd: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    readonly maxChecked: number;
    readonly addAutoSelect: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    readonly deleteRule: import("ll-plus/es/utils").EpPropMergeType<StringConstructor, "all" | "none" | "exceptFirstN", unknown>;
    readonly exceptCount: number;
    readonly addTagText: string;
    readonly inputWidth: number;
    readonly tagMaxWidth: number;
    readonly emptyText: string;
    readonly tagGap: number;
    readonly maxAddableTags: number;
    readonly disabledAddTag: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    readonly disabledCloseTag: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    readonly selectionMode: import("ll-plus/es/utils").EpPropMergeType<StringConstructor, "multiple" | "single", unknown>;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
